# Paste

> A no-database, no-backend pastebin-like service. All the data is stored in the url.

This is a rewrite of https://nopaste.boris.sh/, which is a rewrite of https://topaz.github.io/paste/

[More information on this self-hosted "about" page](https://paste.scambier.xyz/about)

## Maximum lengths for links

NoPaste is great for sharing code snippets on various platforms.

These are the maximum link lengths on some apps and browsers.

| App      | Max length | Notes                                                                             |
| -------- | ---------- | --------------------------------------------------------------------------------- |
| Mastodon | None?      | Not specified in the docs                                                         |
| Reddit   | 10,000     |                                                                                   |
| Twitter  | 4,088      |                                                                                   |
| Slack    | 4,000      |                                                                                   |
| Discord  | 4,000      | 4,000 is the whole message limit. Longer messages are converted into attachements |
| QR Code  | 2,610      |                                                                                   |
| Bitly    | 2,048      |                                                                                   |

| Browser         | Max length                | Notes                                   |
| --------------- | ------------------------- | --------------------------------------- |
| Google Chrome   | (win) 32,779 (mac) 10,000 | Will not display, but larger links work |
| Firefox         | >64,000                   |                                         |
| Microsoft Edge  | 2,083                     | Anything over 2083 will fail            |
| Android         | 8,192                     |                                         |
| Safari          | Lots                      |                                         |

The safest limit to make sure your Paste link works everywhere seems to be 2,083.

## TODO

- [x] Use brotli
- [x] ~~Stay compatible with original lzma-compressed urls~~
- [x] Have a read-only view with nice colors for code blocks
- [ ] Use CodeMirror 6
- [ ] 100% self-contained, no dependance on jsdeliver

## Build

```sh
$ pnpm install
$ pnpm build
```

## License

GNU GPLv3
